# __gnu_cxx::typelist Namespace Reference

GNU typelist extensions for public compile-time use. More...

## Functions

- template<typename Fn , typename Typelist > void apply (Fn &, Typelist)
- template<typename Fn , typename TypelistT , typename TypelistV > void apply_generator (Fn &fn, TypelistT, TypelistV)
- template<typename Fn , typename Typelist > void apply_generator (Fn &fn, Typelist)
- template<typename Gn , typename TypelistT , typename TypelistV > void apply_generator (Gn &, TypelistT, TypelistV)
- template<typename Gn , typename Typelist > void apply_generator (Gn &, Typelist)

## Detailed Description

GNU typelist extensions for public compile-time use.

## Function Documentation

template<typename Gn , typename Typelist >

void __gnu_cxx::typelist::apply_generator | ( | Gn & | ,
|  | Typelist |  |
| ) |  |  | `[inline]`

Apply all typelist types to generator functor.